Package org.firebirdsql.logging

## Interface Logger

    @Deprecated
    public interface Logger

Deprecated.
will be removed in Jaybird 6 without replacement
Logger is a facade to hide the logging implementation used from the rest of Jaybird.

Author:
  David Jencks, Blas Rodriguez Somoza, Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`void` `debug​(java.lang.String message)` Deprecated.
`void` `debug​(java.lang.String message, java.lang.Throwable t)` Deprecated.
`default void` `debugf​(java.lang.String formatMessage, java.lang.Object p1)` Deprecated.
`default void` `debugf​(java.lang.String formatMessage, java.lang.Object... params)` Deprecated.
`default void` `debugf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)` Deprecated.
`default void` `debugf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)` Deprecated.
`default void` `debugfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)` Deprecated.
`default void` `debugfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)` Deprecated.
`default void` `debugfe​(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)` Deprecated.
`void` `error​(java.lang.String message)` Deprecated.
`void` `error​(java.lang.String message, java.lang.Throwable t)` Deprecated.
`default void` `errorDebug​(java.lang.String message, java.lang.Throwable t)` Deprecated. Logs the message on error with the throwable `toString()` and a note that the stacktrace is on debug.
`default void` `errorf​(java.lang.String formatMessage, java.lang.Object p1)` Deprecated.
`default void` `errorf​(java.lang.String formatMessage, java.lang.Object... params)` Deprecated.
`default void` `errorf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)` Deprecated.
`default void` `errorf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)` Deprecated.
`default void` `errorfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)` Deprecated.
`default void` `errorfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)` Deprecated.
`default void` `errorfe​(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)` Deprecated.
`void` `fatal​(java.lang.String message)` Deprecated.
`void` `fatal​(java.lang.String message, java.lang.Throwable t)` Deprecated.
`default void` `fatalf​(java.lang.String formatMessage, java.lang.Object p1)` Deprecated.
`default void` `fatalf​(java.lang.String formatMessage, java.lang.Object... params)` Deprecated.
`default void` `fatalf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)` Deprecated.
`default void` `fatalf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)` Deprecated.
`default void` `fatalfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)` Deprecated.
`default void` `fatalfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)` Deprecated.
`default void` `fatalfe​(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)` Deprecated.
`void` `info​(java.lang.String message)` Deprecated.
`void` `info​(java.lang.String message, java.lang.Throwable t)` Deprecated.
`default void` `infof​(java.lang.String formatMessage, java.lang.Object p1)` Deprecated.
`default void` `infof​(java.lang.String formatMessage, java.lang.Object... params)` Deprecated.
`default void` `infof​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)` Deprecated.
`default void` `infof​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)` Deprecated.
`default void` `infofe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)` Deprecated.
`default void` `infofe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)` Deprecated.
`default void` `infofe​(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)` Deprecated.
`boolean` `isDebugEnabled()` Deprecated.
`boolean` `isErrorEnabled()` Deprecated.
`boolean` `isFatalEnabled()` Deprecated.
`boolean` `isInfoEnabled()` Deprecated.
`boolean` `isTraceEnabled()` Deprecated.
`boolean` `isWarnEnabled()` Deprecated.
`void` `trace​(java.lang.String message)` Deprecated.
`void` `trace​(java.lang.String message, java.lang.Throwable t)` Deprecated.
`default void` `tracef​(java.lang.String formatMessage, java.lang.Object p1)` Deprecated.
`default void` `tracef​(java.lang.String formatMessage, java.lang.Object... params)` Deprecated.
`default void` `tracef​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)` Deprecated.
`default void` `tracef​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)` Deprecated.
`default void` `tracefe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)` Deprecated.
`default void` `tracefe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)` Deprecated.
`default void` `tracefe​(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)` Deprecated.
`void` `warn​(java.lang.String message)` Deprecated.
`void` `warn​(java.lang.String message, java.lang.Throwable t)` Deprecated.
`default void` `warnDebug​(java.lang.String message, java.lang.Throwable t)` Deprecated. Logs the message on warn with the throwable `toString()` and a note that the stacktrace is on debug.
`default void` `warnf​(java.lang.String formatMessage, java.lang.Object p1)` Deprecated.
`default void` `warnf​(java.lang.String formatMessage, java.lang.Object... params)` Deprecated.
`default void` `warnf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)` Deprecated.
`default void` `warnf​(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)` Deprecated.
`default void` `warnfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)` Deprecated.
`default void` `warnfe​(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)` Deprecated.
`default void` `warnfe​(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)` Deprecated.

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

Deprecated.

#### debug

    void debug​(java.lang.String message)

Deprecated.

#### debugf

    default void debugf​(java.lang.String formatMessage,
                        java.lang.Object p1)

Deprecated.

#### debugf

    default void debugf​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

Deprecated.

#### debugf

    default void debugf​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

Deprecated.

#### debugf

    default void debugf​(java.lang.String formatMessage,
                        java.lang.Object... params)

Deprecated.

#### debug

    void debug​(java.lang.String message,
               java.lang.Throwable t)

Deprecated.

#### debugfe

    default void debugfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

Deprecated.

#### debugfe

    default void debugfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

Deprecated.

#### debugfe

    default void debugfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

Deprecated.

#### isTraceEnabled

    boolean isTraceEnabled()

Deprecated.

#### trace

    void trace​(java.lang.String message)

Deprecated.

#### tracef

    default void tracef​(java.lang.String formatMessage,
                        java.lang.Object p1)

Deprecated.

#### tracef

    default void tracef​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

Deprecated.

#### tracef

    default void tracef​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

Deprecated.

#### tracef

    default void tracef​(java.lang.String formatMessage,
                        java.lang.Object... params)

Deprecated.

#### trace

    void trace​(java.lang.String message,
               java.lang.Throwable t)

Deprecated.

#### tracefe

    default void tracefe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

Deprecated.

#### tracefe

    default void tracefe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

Deprecated.

#### tracefe

    default void tracefe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

Deprecated.

#### isInfoEnabled

    boolean isInfoEnabled()

Deprecated.

#### info

    void info​(java.lang.String message)

Deprecated.

#### infof

    default void infof​(java.lang.String formatMessage,
                       java.lang.Object p1)

Deprecated.

#### infof

    default void infof​(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2)

Deprecated.

#### infof

    default void infof​(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2,
                       java.lang.Object p3)

Deprecated.

#### infof

    default void infof​(java.lang.String formatMessage,
                       java.lang.Object... params)

Deprecated.

#### info

    void info​(java.lang.String message,
              java.lang.Throwable t)

Deprecated.

#### infofe

    default void infofe​(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Throwable t)

Deprecated.

#### infofe

    default void infofe​(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Throwable t)

Deprecated.

#### infofe

    default void infofe​(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3,
                        java.lang.Throwable t)

Deprecated.

#### isWarnEnabled

    boolean isWarnEnabled()

Deprecated.

#### warn

    void warn​(java.lang.String message)

Deprecated.

#### warnf

    default void warnf​(java.lang.String formatMessage,
                       java.lang.Object p1)

Deprecated.

#### warnf

    default void warnf​(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2)

Deprecated.

#### warnf

    default void warnf​(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2,
                       java.lang.Object p3)

Deprecated.

#### warnf

    default void warnf​(java.lang.String formatMessage,
                       java.lang.Object... params)

Deprecated.

#### warn

    void warn​(java.lang.String message,
              java.lang.Throwable t)

Deprecated.

#### warnfe

    default void warnfe​(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Throwable t)

Deprecated.

#### warnfe

    default void warnfe​(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Throwable t)

Deprecated.

#### warnfe

    default void warnfe​(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3,
                        java.lang.Throwable t)

Deprecated.

#### isErrorEnabled

    boolean isErrorEnabled()

Deprecated.

#### error

    void error​(java.lang.String message)

Deprecated.

#### errorf

    default void errorf​(java.lang.String formatMessage,
                        java.lang.Object p1)

Deprecated.

#### errorf

    default void errorf​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

Deprecated.

#### errorf

    default void errorf​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

Deprecated.

#### errorf

    default void errorf​(java.lang.String formatMessage,
                        java.lang.Object... params)

Deprecated.

#### error

    void error​(java.lang.String message,
               java.lang.Throwable t)

Deprecated.

#### errorfe

    default void errorfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

Deprecated.

#### errorfe

    default void errorfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

Deprecated.

#### errorfe

    default void errorfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

Deprecated.

#### isFatalEnabled

    boolean isFatalEnabled()

Deprecated.

#### fatal

    void fatal​(java.lang.String message)

Deprecated.

#### fatalf

    default void fatalf​(java.lang.String formatMessage,
                        java.lang.Object p1)

Deprecated.

#### fatalf

    default void fatalf​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

Deprecated.

#### fatalf

    default void fatalf​(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

Deprecated.

#### fatalf

    default void fatalf​(java.lang.String formatMessage,
                        java.lang.Object... params)

Deprecated.

#### fatal

    void fatal​(java.lang.String message,
               java.lang.Throwable t)

Deprecated.

#### fatalfe

    default void fatalfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

Deprecated.

#### fatalfe

    default void fatalfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

Deprecated.

#### fatalfe

    default void fatalfe​(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

Deprecated.

#### warnDebug

    default void warnDebug​(java.lang.String message,
                           java.lang.Throwable t)

Deprecated.
Logs the message on warn with the throwable `toString()` and a note that the stacktrace is on debug. The `message` and the stacktrace of `t` are also logged on debug.

Parameters:
  `message` - Message to log
  `t` - Throwable to log (`toString()` on warn and full stacktrace on debug)

#### errorDebug

    default void errorDebug​(java.lang.String message,
                            java.lang.Throwable t)

Deprecated.
Logs the message on error with the throwable `toString()` and a note that the stacktrace is on debug. The `message` and the stacktrace of `t` are also logged on debug.

Parameters:
  `message` - Message to log
  `t` - Throwable to log (`toString()` on error and full stacktrace on debug)